Ask Your Question
0

pcl_visualization depend on non-existent package eigen

asked 2012-05-29 01:25:38 -0500

Human gravatar image

updated 2012-05-29 03:06:24 -0500

joq gravatar image

When using rosmake to build this package ,the following errors occured.One of these errors is "eigen" not exist,so I searched it and found it had been already replaced. If you were saw this problem before,or you know how to do about it ,help me please!

mkdir -p bin
  cd build && cmake -Wdev -DCMAKE_TOOLCHAIN_FILE=`rospack find rosbuild`/rostoolchain.cmake  ..
  [rosbuild] Building package pcl_visualization
  Failed to invoke /opt/ros/fuerte/bin/rospack deps-manifests pcl_visualization
  [rospack] **Error: package/stack pcl_visualization depends on non-existent package eigen**


  CMake Error at /opt/ros/fuerte/share/ros/core/rosbuild/public.cmake:129 (message):


    Failed to invoke rospack to get compile flags for package
    'pcl_visualization'.  Look above for errors from rospack itself.  Aborting.
    Please fix the broken dependency!

  Call Stack (most recent call first):
    /opt/ros/fuerte/share/ros/core/rosbuild/public.cmake:203 (rosbuild_invoke_rospack)
    CMakeLists.txt:5 (rosbuild_init)

  -- Configuring incomplete, errors occurred!
  CMake Error: Unable to open cache file for save. /opt/ros/fuerte/stacks/perception_pcl_addons/pcl_visualization/build/CMakeCache.txt
  CMake Error: : System Error: Permission denied
edit retag flag offensive close merge delete

2 Answers

Sort by ยป oldest newest most voted
0

answered 2012-05-29 03:54:29 -0500

dornhege gravatar image

Does this fix it?

edit flag offensive delete link more
0

answered 2012-06-03 03:17:03 -0500

Human gravatar image

Following that tutorials I changed "CMakefile.txt" ,added several lines of code to it ,then I tried to run 'rosmake pcl_visualization' ,not the old error ,but some other errors comes, the message given is some log cannot be open,not precisely.So I login in root ,then rosmake the package again. And pcl_visualization depend on non-existent package eigen.........

edit flag offensive delete link more

Comments

If you are compiling as root, you are doing something wrong. Are you trying to compile a package under /opt? That is not necessary and won't work.

dornhege gravatar image dornhege  ( 2012-06-03 23:35:06 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2012-05-29 01:25:38 -0500

Seen: 1,458 times

Last updated: Jun 03 '12